This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 667240 - rpm -V for smolt always fails verification
rpm -V for smolt always fails verification
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-04 16:48 EST by Naresh Sukhija
Modified: 2012-08-16 18:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Naresh Sukhija 2011-01-04 16:48:30 EST
Description of problem:
rpm -V for smolt always fails verification

Version-Release number of selected component (if applicable):
1.4.2.2-3.fc14

How reproducible:
Install smolt package and run "rpm -V smolt"

Steps to Reproduce:
1. run "rpm -V smolt"
2. Observe the output to be:
S.5....T.    /etc/cron.d/smolt

  
Actual results:
S.5....T.    /etc/cron.d/smolt


Expected results:
No output i.e. the rpm -V should finish without any messages/errors

Additional info:
Comment 1 Mike McGrath 2011-01-06 09:01:34 EST
This is by design, the cron job is randomly generated (which cannot be done pre-install)
Comment 2 Naresh Sukhija 2011-01-06 11:45:50 EST
If the cron job is generated randomly, then why should the "rpm -V" command try to verify /etc/cron.d/smolt ?

I believe the smolt rpm package needs to be fixed
Comment 3 Mike McGrath 2011-01-06 11:51:49 EST
rpm -V checks every file it knows about.  it knows about /etc/cron.d/smolt because the smolt package creates it.  When you remove the smolt package /etc/cron.d/smolt goes with it.  Smolt alters /etc/cron.d/smolt on install for the reasons described above.  Smolt is not the only package that does this, not even close.

I suspect rpm -V doesn't do what you're expecting it to do or what you're using it for.  Perhaps look at a program like aide.
Comment 4 Naresh Sukhija 2011-01-06 12:46:39 EST
You are right that smolt is not the only package which creates a file and modifies it at the install time. I believe "kernel" package is the classic example of such a package. It creates initramfs in /boot but modifies it at install time. The rpm -V never complains about initramfs file. Then what different does "kernel" rpm has which "smolt" has missing

If the solution doesn't lie with smolt package maintainer, then I believe this bug must be redirected to fedora rpm maintainers
Comment 5 Fedora Admin XMLRPC Client 2011-02-08 16:15:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Matt McCutchen 2011-08-30 12:46:28 EDT
(In reply to comment #4)
> Then what
> different does "kernel" rpm has which "smolt" has missing

You're looking for %verify(not filedigest size link mtime).  However, mutating the file in-place is not nice design.  Better would be to generate it from a separate template either embedded in the scriptlet or packaged in another file like /usr/share/smolt/crontab.in and then declare /etc/cron.d/smolt as %ghost.
Comment 7 Fedora End Of Life 2012-08-16 18:23:52 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.